summaryrefslogtreecommitdiff
path: root/dev-python/llfuse
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/llfuse
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/llfuse')
-rw-r--r--dev-python/llfuse/Manifest2
-rw-r--r--dev-python/llfuse/files/llfuse-1.3.5-cflags.patch15
-rw-r--r--dev-python/llfuse/llfuse-1.3.5.ebuild41
-rw-r--r--dev-python/llfuse/llfuse-1.3.6.ebuild36
-rw-r--r--dev-python/llfuse/metadata.xml13
5 files changed, 107 insertions, 0 deletions
diff --git a/dev-python/llfuse/Manifest b/dev-python/llfuse/Manifest
new file mode 100644
index 000000000000..bffbed16dc63
--- /dev/null
+++ b/dev-python/llfuse/Manifest
@@ -0,0 +1,2 @@
+DIST llfuse-1.3.5.tar.bz2 362266 BLAKE2B 561439e193470c047aa32b5b4ffd189beca2496b0141d9f0b0d4b494ee135025b174744ac3c90a0e5e8a17cc98f4ab2e8b4a9069f7d73e01a369f5013d036144 SHA512 d45c5fe7e81fd561e016fe99cc7bbac0cf6243e1517e992fe5b302b641aa93c8f95779cb7a4add7a7479f1ed6ca35e0fcf1e4da0fc46ee5d819b46511927613c
+DIST llfuse-1.3.6.tar.bz2 361750 BLAKE2B 74387a6aeb28c3f49234a4f430c3f2aaeefa2057d69e681405d9588c63b3a6e4a6daa58b8996541825c73ff4dabc5607874c2d7885586d793a6436e3f680aec2 SHA512 d67e39daf65c92ebb5bf69abb0c5dc3a88460228b5ec5ee762a11fc909369562411297e8ff9f512ee1ef539d8abec765924be581703fb7e99963c6512cb1f0bd
diff --git a/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch b/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch
new file mode 100644
index 000000000000..43490cf5f4db
--- /dev/null
+++ b/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch
@@ -0,0 +1,15 @@
+Build fails under pypy(3) when enabling these flags.
+
+--- llfuse-1.3.5/setup.py
++++ llfuse-1.3.5/setup.py
+@@ -74,8 +74,8 @@
+ long_desc = fh.read()
+
+ compile_args = pkg_config('fuse', cflags=True, ldflags=False, min_ver='2.8.0')
+- compile_args += ['-DFUSE_USE_VERSION=29', '-Wall', '-Wextra', '-Wconversion',
+- '-Wsign-compare', '-DLLFUSE_VERSION="%s"' % LLFUSE_VERSION]
++ compile_args += ['-DFUSE_USE_VERSION=29', '-Wall', '-Wextra',
++ '-DLLFUSE_VERSION="%s"' % LLFUSE_VERSION]
+
+ # We may have unused functions if we compile for older FUSE versions
+ compile_args.append('-Wno-unused-function')
diff --git a/dev-python/llfuse/llfuse-1.3.5.ebuild b/dev-python/llfuse/llfuse-1.3.5.ebuild
new file mode 100644
index 000000000000..9ddaed77c9f4
--- /dev/null
+++ b/dev-python/llfuse/llfuse-1.3.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_6,3_7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the low-level FUSE API"
+HOMEPAGE="https://github.com/python-llfuse/python-llfuse/ https://pypi.org/project/llfuse/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=sys-fs/fuse-2.8.0:0
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ sys-apps/attr
+ virtual/pkgconfig
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=( "${FILESDIR}"/${P}-cflags.patch )
+
+python_test() {
+ py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/llfuse/llfuse-1.3.6.ebuild b/dev-python/llfuse/llfuse-1.3.6.ebuild
new file mode 100644
index 000000000000..4b56e688f41f
--- /dev/null
+++ b/dev-python/llfuse/llfuse-1.3.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the low-level FUSE API"
+HOMEPAGE="https://github.com/python-llfuse/python-llfuse/ https://pypi.org/project/llfuse/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="
+ >=sys-fs/fuse-2.8.0:0
+"
+DEPEND="
+ sys-apps/attr
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/llfuse-1.3.5-cflags.patch
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/llfuse/metadata.xml b/dev-python/llfuse/metadata.xml
new file mode 100644
index 000000000000..ef93e6260dff
--- /dev/null
+++ b/dev-python/llfuse/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">llfuse</remote-id>
+ <remote-id type="github">python-llfuse/python-llfuse</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>